### Method

# Gtk Videoset_media_stream

#### Declaration [src]

    void
    gtk_video_set_media_stream (
      GtkVideo* self,
      GtkMediaStream* stream
    )

#### Description [src]

Sets the media stream to be played back.

`self` will take full control of managing the media stream. If you want to manage a media stream yourself, consider using a `GtkPicture` for display.

If you want to display a file, consider using `gtk_video_set_file()` instead.

Sets property | `Gtk.Video:media-stream`

#### Parameters

`stream`

  Type: `GtkMediaStream`

  The media stream to play or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.